Selkirk vs GHA RFC · Schotse Premiership
Schotse Premiership · 2025-26Afgelopen

36–40

Wedstrijdverslag
GHA RFC versloeg Selkirk met 40-36, uit, op zaterdag 13 september 2025 (Schotse Premiership, speelronde 4).
Het is de 4e zege op rij voor GHA RFC. Selkirk verloor nu vier keer op rij.
Automatisch geschreven op basis van de wedstrijdgegevens; wordt bijgewerkt zodra uitslagen binnenkomen.
Onderlinge duels
2
Selkirk gewonnen (33%)
0
Gelijk (0%)
4
GHA RFC gewonnen (67%)
Laatste 6 onderlinge duels, sinds oktober 2021
Grootste zege Selkirk
28–14
8 okt 2022
Grootste zege GHA RFC
34–10
2 okt 2021
Laatste 5 duels
- 13 dec 2025 · Schotse PremiershipGHA RFC20Selkirk1413 dec 2025GHA RFC20–14SelkirkSchotse Premiership
- 13 sep 2025 · Schotse PremiershipSelkirk36GHA RFC4013 sep 2025Selkirk36–40GHA RFCSchotse Premiership
- 7 jan 2023 · Schotse PremiershipGHA RFC17Selkirk217 jan 2023GHA RFC17–21SelkirkSchotse Premiership
- 8 okt 2022 · Schotse PremiershipSelkirk28GHA RFC148 okt 2022Selkirk28–14GHA RFCSchotse Premiership
- 5 mrt 2022 · Schotse PremiershipSelkirk24GHA RFC275 mrt 2022Selkirk24–27GHA RFCSchotse Premiership